## midbrowser 0.3.0b5a-2

=== debian/changelog ===
midbrowser (0.3.0b5a-2) hardy; urgency=low

  * Fixed debian/rule to make sure it builds with system's xulrunner sdk.

 -- Carl Wong <carl.wong@intel.com>  Mon, 07 Apr 2008 16:12:23 -0700

midbrowser (0.3.0b5a-1) hardy; urgency=low

  * Merged in Firefox 3.0 beta 5 code.
  * Modified the build to used system's xulrunner-1.9.

 -- Carl Wong <carl.wong@intel.com>  Fri, 04 Apr 2008 15:58:43 -0700

midbrowser (0.3.0b2d~mt1ubuntu11) gaston; urgency=low

  * Changed the preference "general.useragent.extra.firefox" to "Firefox/3.0 beta". This fixes
    the rendering issues with sites that check for browser and version (i.e. mail.live.com).
  * Changed the preference "browser.enable.automatic_image_resizing" from true to false. This
    fixes bug #186556 (image cannot be magnified using the zoom in/out button).
  * Set the default value for "font.size.variable.x-western" to 13. This work around will
    fix the rendering issues found in http://www.miniclip.com.

 -- Carl Wong <carl.wong@intel.com>  Fri, 28 Mar 2008 14:35:50 -0700

midbrowser (0.3.0b2d~mt1ubuntu10) gaston; urgency=low

  * Updated midbrowser.desktop with values provided by Bob Spencer.
  * Fixed the install path for midbrdowser.png.
  * Removed "import" and "export" functionality from all of the View Certificates preferences tabs.
  * Fixed bug #174762, removed all "import" and "export" buttons from Encryption->View_Certificates tab.

 -- Carl Wong <carl.wong@intel.com>  Fri, 21 Mar 2008 17:34:27 -0700

midbrowser (0.3.0b2d~mt1ubuntu9) gaston; urgency=low

  [ Carl Wong ]
  * Removed default.list from package. There is a conflict with another package.
    Need to find other way to handle /usr/share/applications/default.list.
  * Fixed bug #186580 (The enable/disable status of the "status bar" menu is
    not correctly displayed) the right way. The previous fix didn't work all
    the time.

  [ Jimmy Huang ]
  * Fixed bug #156977 (No interface to manage Bookmarks) by adding a delete button to allow deleting of bookmarks without right-click.

 -- Carl Wong <carl.wong@intel.com>  Wed, 19 Mar 2008 16:55:38 -0700

midbrowser (0.3.0b2d~mt1ubuntu8) gaston; urgency=low

  * Fixed midbrowser.desktop to meet the freedesktop.org menu specification.
  * Added a new file call default.list to the debian directory.  This file
    is used by the download manager to determine which app to launch when
    user tries to open a file. 
  * Modified debian/rule to install default.list to /usr/share/applications.

 -- Carl Wong <carl.wong@intel.com>  Mon, 17 Mar 2008 14:48:58 -0700

midbrowser (0.3.0b2d~mt1ubuntu7) gaston; urgency=low

  [ Carl Wong ]
  * Added "OnlyShowIn=Internet" to midbrowser.desktop. 
  * Modified debian/rules to install midbrowser.png in /usr/share/hicolor/48x48.
  * Reduced the number of level of sub-menus in the view menu. Moved the character
    encoding menu item to the top.
  * Changed to use the side bar to display the history and bookmark.

  [ Jimmy Huang ]
  * Added a default entry for the Gconf key for homepage_url that fixes the bug where home_page cannot be reset for a second time.
  * Fixed the bug#175028 the button size in preference dialog is not consistent.
  * Restored icon size in full screen mode.

 -- Carl Wong <carl.wong@intel.com>  Sun, 16 Mar 2008 12:15:15 -0700

midbrowser (0.3.0b2d~mt1ubuntu6) gaston; urgency=low

  [ Jimmy Huang ]
  * Fixed the bug where in non-full screen mode, the urlbar cannot pick up url changes.

  [ Carl Wong ]
  * Fixed the tooltip for zoom in, zoom out and reset toolbar icons to use existing
    labels. This miminizes the changes needed for i18n support.

 -- Carl Wong <carl.wong@intel.com>  Thu, 13 Mar 2008 16:46:12 -0700

midbrowser (0.3.0b2d~mt1ubuntu5) gaston; urgency=low

  [ Jimmy Huang ]
  * Fixed the bug#173759 where full screen restore button is too small on MID device.
  * Fixed the bug#188247 where the display all tabs button is too small on MID device.
  * Fixed the bug#175028 the button size in preference dialog is not consistent.
  * Fixed a bug where the load image exception button is not disabled when it is unchecked in the preference dialog.

  [ Carl Wong ]
  *  Fixed bug #186580(The enable/disable status of the "status bar" menu is not
     correctly displayed).

  [ Jimmy Huang ]
  * Fixed third-party application handlers and plugins not showing up in the Preference/Applications Dialog.
  * Fixed the bug where UrlBar's history and Searchbar's suggestions obscuring the virtual keyboard.
  * Disabled Profile Migrator which causes the old profile settings to interrupt gconf settings such as homepage and http proxy.
  * Cleaned up GrabandDrag preference dialog so it looks cleaner.

 -- Carl Wong <carl.wong@intel.com>  Wed, 12 Mar 2008 16:56:52 -0700

midbrowser (0.3.0b2d~mt1ubuntu4) gaston; urgency=low

  [ Carl Wong ]
  * Changed the Browse:Back and Browse:Forward to use F9 and F10 instead of the VK_LEFT and
    VK_RIGHT.
  * Disabled F1 help. The exsiting Firefox help is not appropriate for Midbrowser.
  * Disabled context menu in the Toolbar. No customize of toolbar is allowed.

  [ Jimmy Huang ]
  * Increased icons in the download dialogs
  * Added default directories for default download behavior, so that media files defaults 
    to $HOME/media/audio, $HOME/media/photo, $HOME/media/video, and other files to 
    $HOME/Documents directory.

  [ Carl Wong ]
  * Update the icons in the about and credit dialog with the new icons from Jason.
  * Used file:// instead of chrome:// for welcome startup page. 

 -- Carl Wong <carl.wong@intel.com>  Fri, 15 Feb 2008 20:13:35 -0800

midbrowser (0.3.0b2d~mt1ubuntu3) gaston; urgency=low

  * Fixed an install issue with grabanddrag.

 -- Carl Wong <carl.wong@intel.com>  Wed, 06 Feb 2008 19:19:45 -0800

midbrowser (0.3.0b2d~mt1ubuntu2) gaston; urgency=low

  [ Carl Wong ]
  * Added a workaround to build and package the grabanddrag extension.

  [ Jimmy Huang ]

