## midbrowser 0.3.0rc1a-1~8.04.2

=== debian/changelog ===
midbrowser (0.3.0rc1a-1~8.04.2) hardy-security; urgency=low

  * no change rebuild for -security to make package installable for users
    without -updates enabled (due to recent xulrunner-1.9 Breaks line)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 03 Aug 2008 08:41:14 -0400

midbrowser (0.3.0rc1a-1~8.04.1) hardy-proposed; urgency=low

  * merge 3.0 RC1 release to hardy branch (LP: #233922)
  * make Build-Depends: more diff-friendly by unfolding the list
    - update debian/control
  * add translation template export support using mozilla-devscripts:
    + add mozilla-devscripts to Build-Depends
      - update debian/control
    + setup variables for /usr/share/mozilla-devscripts/lp-locale-export.mk
      helper and hook in the export build target into binary: rules target
      - update debian/rules
    + fix clean: target to be clean::
    + add MidBrowser install.rdf template to source tree
      - add debian/translation-support/install.rdf.in
  * tighten xulrunner-1.9(-dev) build and runtime requirements to (>= 1.9~rc1)
    - update debian/control
  * prevent Mozilla/FFox EULA from popping up on first run by setting
    pref("browser.EULA.override", true);
    - update debian/midbrowser.js
  * setup defaults/syspref link that points to /etc/midbrowser/pref
    - update debian/midbrowser.links

 -- Alexander Sack <asac@ubuntu.com>  Wed, 04 Jun 2008 17:19:01 +0200
