=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_MOZ_APPLICATION := midbrowser
+
+DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
+LOCALE_VERSION = $(shell echo $(DEBIAN_VERSION) | sed -e 's/~cvs.*/pre/' | tr -d '~')
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         OPTFLAGS = -O0
@@ -23,6 +27,20 @@
 endif
 
 OPTFLAGS += -g
+
+# currently not autoparsed from changelog, because we need to fail if
+# maintainer didn't adjust those before release. we can change that once ffox
+# is in hard string freeze
+EM_TRANSLATION_VERSION := 0.3.0
+
+# minVersion and maxVersion used in install.rdf
+EM_TRANSLATION_MIN_VERSION := 0.3.0
+EM_TRANSLATION_MAX_VERSION := 0.3.0
+
+# translation flags
+MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
+MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEB_MOZ_APPLICATION)
+MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US
 
 CXX=g++-4.2
 CC=gcc-4.2
@@ -55,6 +73,8 @@
         --with-distribution-id=com.ubuntu \
 	$(NULL)
 
+include /usr/share/mozilla-devscripts/lp-locale-export.mk
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
@@ -70,11 +90,12 @@
 
 	touch $@
 
-clean:
+clean::
 	dh_testdir
 	dh_testroot
 	dh_clean
 	rm -f build-stamp 
+	rm -f debian/install.rdf
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
@@ -133,6 +154,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
+	$(MAKE) -f $(CURDIR)/debian/rules postprocessing
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -144,5 +166,16 @@
 	dh_md5sums
 	dh_builddeb
 
+postprocessing:: auto-locale-xpi.mk/translate
+	sed \
+                -e 's/@EM_VERSION@/$(EM_TRANSLATION_VERSION)/' \
+                -e 's/@EM_TOOLKIT_MIN_VERSION@/$(EM_TRANSLATION_MIN_VERSION)/' \
+                -e 's/@EM_TOOLKIT_MAX_VERSION@/$(EM_TRANSLATION_MAX_VERSION)/' \
+                < debian/translation-support/install.rdf.in > debian/install.rdf
+	cd debian && zip lp-export-xpis/en-US.xpi install.rdf
+ifeq (,$(findstring $(EM_TRANSLATION_VERSION), $(LOCALE_VERSION)))
+	$(error EM_TRANSLATION_VERSION=$(EM_TRANSLATION_VERSION) LOCALE_VERSION=$(LOCALE_VERSION). You need to explicitly adjust the translation version and min/max bounds.)
+endif
+
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install postprocessing
