## midbrowser 0.3.0release-3

=== debian/changelog ===
midbrowser (0.3.0release-3) intrepid; urgency=low

  * fix LP: #156986 - add gsfonts to recommends
    - update debian/control
  * drop ubufox from Suggests; ubufox doesnt support midbrowser yet
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 11 Sep 2008 11:50:47 +0200

midbrowser (0.3.0release-2) intrepid; urgency=low

  * Drop ubufox from Recommends, moving it to Suggests.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 11 Sep 2008 14:46:50 +1000

midbrowser (0.3.0release-1) intrepid; urgency=low

  * bump maxVersion to 1.9.0.* to prevent bustage on each and every
    xulrunner update
    - update midbrowser/app/application.ini
  * Increased the list all the tabs button, so that user can use the finger
    to click it on a touchscreen to see all the tabs
  * fix nsHildonXEventService to not break with compiz WM
    + we dont register for all events (as some events can only be subscribed to by
      one client), but just for GDK_PROPERTY_CHANGE_MASK - Thanks to Michael Vogt
      for tracking this down.
    + as a safety-belt measure we also trap X errors properly in hildon event service -
      this should prevent crashes because of errors on X calls
      - update midbrowser/components/hildon/src/nsHildonXEventService.cpp

 -- Alexander Sack <asac@ubuntu.com>  Fri, 25 Jul 2008 19:18:37 +0200

midbrowser (0.3.0rc1a-2) intrepid; urgency=low

  * drop fixed 4.2 as compiler version in use; drop env tweaks in debian/rules
    and build dependencies on versioned gcc packages in debian/control
    - update debian/control
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 05 Jun 2008 10:51:16 +0200

midbrowser (0.3.0rc1a-1) intrepid; urgency=low

  * merge 3.0 RC1 release to hardy branch (LP: #233922)
  * make Build-Depends: more diff-friendly by unfolding the list
    - update debian/control
  * add translation template export support using mozilla-devscripts:
    + add mozilla-devscripts to Build-Depends
      - update debian/control
    + setup variables for /usr/share/mozilla-devscripts/lp-locale-export.mk
      helper and hook in the export build target into binary: rules target
      - update debian/rules
    + fix clean: target to be clean::
    + add MidBrowser install.rdf template to source tree
      - add debian/translation-support/install.rdf.in
  * tighten xulrunner-1.9(-dev) build and runtime requirements to (>= 1.9~rc1)
    - update debian/control
  * prevent Mozilla/FFox EULA from popping up on first run by setting
    pref("browser.EULA.override", true);
    - update debian/midbrowser.js
  * setup defaults/syspref link that points to /etc/midbrowser/pref
    - update debian/midbrowser.links

 -- Alexander Sack <asac@ubuntu.com>  Wed, 04 Jun 2008 17:19:01 +0200
