=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	libhunspell-dev, libthai-dev,
 	libnss3-dev, libnspr4-dev,
 	imagemagick, libhildon-1-dev,
-	g++-4.2, gcc-4.2,
 	libdbus-glib-1-dev, xulrunner-1.9-dev (>= 1.9~rc1),
 	mozilla-devscripts
 Standards-Version: 3.7.2
@@ -29,7 +28,7 @@
 Depends: fontconfig, psmisc, xulrunner-1.9 (>= 1.9~rc1), debianutils (>= 1.16), ${shlibs:Depends}
 Conflicts: libnss3
 Replaces: libnss3
-Recommends: ubufox
+Recommends: gsfonts
 Suggests: midbrowser-gnome-support (= ${Source-Version}), latex-xft-fonts
 Provides: www-browser
 Description: mobile web browser based on Mozilla
