=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
 MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEB_MOZ_APPLICATION)
 MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US
-
-CXX=g++-4.2
-CC=gcc-4.2
-export CXX CC
 
 DEBIAN_XUL_DIR := $(shell ls -d /usr/lib/xulrunner-devel-1.9*)
